Bug 437658 - Review Request: python-ply - Python Lex-Yacc
Review Request: python-ply - Python Lex-Yacc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 16:46 EDT by Tom "spot" Callaway
Modified: 2008-03-24 20:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 20:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-03-15 16:46:59 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-ply.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-ply-2.3-1.fc9.src.rpm
Description: 
PLY is a straightforward lex/yacc implementation. Here is a list of its
essential features:
* It is implemented entirely in Python.
* It uses LR-parsing which is reasonably efficient and well suited for larger
  grammars.
* PLY provides most of the standard lex/yacc features including support
  for empty productions, precedence rules, error recovery, and support
  for ambiguous grammars.
* PLY is straightforward to use and provides very extensive error checking.
* PLY doesn't try to do anything more or less than provide the basic lex/yacc
  functionality. In other words, it's not a large parsing framework or a
  component of some larger system.
Comment 1 Parag AN(पराग) 2008-03-17 00:03:33 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=519008
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
e406e5eef98661d395d901f8cc3d1219  ply-2.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:
   You can add examples directory as %doc.

APPROVED.
Comment 2 Parag AN(पराग) 2008-03-24 07:41:13 EDT
ping?
Comment 3 Tom "spot" Callaway 2008-03-24 17:24:40 EDT
Package Name: python-ply
Short Description: Python Lex-Yacc
Owners: spot
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 4 Tom "spot" Callaway 2008-03-24 17:30:53 EDT
cvs done.
Comment 5 Tom "spot" Callaway 2008-03-24 20:22:17 EDT
Committed and built, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.